package com.sec.xinhua.gateway.utils;


import com.sec.xinhua.gateway.beans.ApiParamType;

import java.util.HashMap;
import java.util.Map;

public class ApiParamTypeCache {
    private static Map<Integer, String> cache;

    static {
        cache = new HashMap<Integer, String>();
        ApiParamType[] types = ApiParamType.values();
        for (ApiParamType t : types) {
            cache.put(t.getCode(), t.getClassName());
        }
    }

    public static String getClassName(Integer key) {
        return cache.get(key);
    }
}
