package com.sec.xinhua.gateway.utils;

/**
 * 系统级别的常量定义
 */
public class SysConstants {
    /**
     * 全局的资源编码，包括http请求，响应
     */
    public static final String ENCODE           = "UTF-8";

    /**
     * dubbo application名称
     */
    public static final String APPLICATION_NAME = "RISK_GATEWAY";

    /**
     * API RESULT相关
     */
    public static final String API_RESULT_CODE  = "code";
    public static final String API_RESULT_DATA  = "data";
    public static final String API_RESULT_MSG   = "msg";

    public static final String HTTP_METHOD      = "http method";

    public static final String INVOKE_TYPE      = "invokeType";
    public static final String INVOKE_VALUE     = "invokeValue";

}
