package com.sec.xinhua.gateway.beans;

import com.sec.xinhua.gateway.parse.RequestParam;
import com.sec.xinhua.gateway.parse.SysParam;

/**
 * 网关请求上下文
 *
 */
public class ApiContext {

    private RequestParam httpParam;

    private SysParam sysParam;

    private SimpleApi api;

    private String[]  invokeTypes;

    private Object[]  invokeValues;

    private Object[]  invokeLogValues; // 屏蔽掉密码（用*代替）之后

    private ApiResult apiResult;

    private boolean   fileUpload;

    public SimpleApi getApi() {
        return api;
    }

    public void setApi(SimpleApi api) {
        this.api = api;
    }

    public String[] getInvokeTypes() {
        return invokeTypes;
    }

    public void setInvokeTypes(String[] invokeTypes) {
        this.invokeTypes = invokeTypes;
    }

    public Object[] getInvokeValues() {
        return invokeValues;
    }

    public void setInvokeValues(Object[] invokeValues) {
        this.invokeValues = invokeValues;
    }

    public Object[] getInvokeLogValues() {
        return invokeLogValues;
    }

    public void setInvokeLogValues(Object[] invokeLogValues) {
        this.invokeLogValues = invokeLogValues;
    }

    public boolean isFileUpload() {
        return fileUpload;
    }

    public void setFileUpload(boolean fileUpload) {
        this.fileUpload = fileUpload;
    }

    public RequestParam getHttpParam() {
        return httpParam;
    }

    public void setHttpParam(RequestParam httpParam) {
        this.httpParam = httpParam;
    }

    public ApiResult getApiResult() {
        return apiResult;
    }

    public void setApiResult(ApiResult apiResult) {
        this.apiResult = apiResult;
    }

    public SysParam getSysParam() {
        return sysParam;
    }

    public void setSysParam(SysParam sysParam) {
        this.sysParam = sysParam;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder("ApiContext");
        sb.append("{httpParam=");
        sb.append(httpParam);
        sb.append(", sysParam=");
        sb.append(sysParam);
        sb.append("}");
        return sb.toString();
    }
}
