package com.sec.xinhua.gateway.thrift.impl;

import com.sec.xinhua.gateway.thrift.GatewayThriftService;
import org.apache.thrift.TException;
import org.springframework.stereotype.Component;

import com.sec.xinhua.gateway.beans.ApiResult;
import com.sec.xinhua.gateway.handler.RequestHandler;
import com.sec.xinhua.gateway.thrift.ThriftResult;

/**
 * 
 * 
 * @author zhangqx
 * @version $Id: GatewayThriftServiceImpl.java, v 0.1 2015年12月2日 下午2:37:00 zhangqx Exp $
 */
@Component("gatewayThriftService")
public class GatewayThriftServiceImpl implements GatewayThriftService.Iface {

    @Override
    public ThriftResult thriftHandle(String apiName, String apiVersion, String jsonData) throws TException {
        RequestHandler requestHandle = new RequestHandler();
        ApiResult apiResult = requestHandle.thriftRequestHandle(apiName, apiVersion, jsonData);
        return toFilterResult(apiResult);
    }

    public ThriftResult toFilterResult(ApiResult apiResult) {
        ThriftResult thriftResult = new ThriftResult();
        thriftResult.setCode(apiResult.getApiCode());
        thriftResult.setMsg(apiResult.getApiMsg());
        thriftResult.setData(String.valueOf(apiResult.getData()));
        return thriftResult;
    }
}
