package com.sec.xinhua.gateway.web;

import com.alibaba.dubbo.common.utils.StringUtils;
import org.apache.commons.io.FileUtils;

import java.io.File;
import java.util.*;

/**
 * Created by zhangqingxin
 * Date : 16/4/12
 * Time : ${Time}
 */
public class OtherTest {

    private String value;

    public OtherTest() {

    }

    public OtherTest(String value) {
        this.value = value;
    }

    public int hashCode() {
        return this.value.hashCode();
    }

    public boolean equals(Object o) {
        if (o == null) {
            return false;
        }
        if (!(o instanceof OtherTest)) {
            return false;
        }
        return this.value.equals(((OtherTest) o).value);
    }

    public static void main(String[] args) throws Exception {
        File f1 = new File("/Users/zhangqingxin/f1.txt");
        File f2 = new File("/Users/zhangqingxin/f2.txt");
        List<String> l1 = FileUtils.readLines(f1);
        List<String> l2 = FileUtils.readLines(f2);
        Set<String> s1 = new HashSet(l1.size());
        Set<String> s2 = new HashSet(l2.size());
        Set<String> s3 = new HashSet(s2.size());
        System.out.println(l1.size());
        System.out.println(l2.size());
        int count = 0;
        for (String ss : l1) {
//            if (l1.contains("驾证")) {
//                continue;
//            }
            s1.add(ss.toUpperCase());
            count++;
            if (count % 1000 == 0) {
                System.out.println(count);
            }
        }
        count = 0;
        for (String sss : l2) {
            s2.add(sss.toUpperCase());
            count++;
            if (count % 1000 == 0) {
                System.out.println(count);
            }
        }
        count = 0;
        for (String s : s2) {
            if (s1.contains(s)) {
                continue;
            }
            s3.add(s);
            count++;
            if (count % 1000 == 0) {
                System.out.println(count);
            }
        }
        List<String> rs = new ArrayList(s3);
        File f3 = new File("/Users/zhangqingxin/result.txt");
        FileUtils.writeLines(f3, rs);
    }


    private static String buildDownPoint(String apiName) {
        StringBuilder pointName = new StringBuilder();
        String suffix = "ExcPoint";
        if (StringUtils.isNotEmpty(apiName)) {
            int len = apiName.split("\\.").length;
            if (len <= 1) {
                pointName.append(apiName);
            } else {
                pointName.append(apiName.split("\\.")[0]);
                for (int i = 1; i < len; i++) {
                    pointName.append(upFirstAlphabet(apiName.split("\\.")[i]));
                }
            }
        }
        pointName.append(suffix);
        return pointName.toString();
    }

    private static String upFirstAlphabet(String word) {
        StringBuilder sb = new StringBuilder(word);
        sb.setCharAt(0, Character.toUpperCase(sb.charAt(0)));
        return sb.toString();
    }
}
